import { OrderItemStatusType } from "../../../dto";
export declare const COMMAND_MESSAGE_REQUEST_CHANGE_ORDER_ITEM_STATUS = "change-order-item-request";
export declare class ChangeOrderItemStatusRequest {
    orderId: string;
    orderItemId: string;
    status: OrderItemStatusType;
    date: Date;
}
export declare class ChangeOrderItemStatusRequests {
    tenant: string;
    requests: Array<ChangeOrderItemStatusRequest>;
    constructor(tenant: string);
    getUniqueOrderIds(): Array<string>;
    getUniqueOrderItemIds(): Array<string>;
}
